CVE-2018-8905

Priority
Description
In LibTIFF 4.0.9, a heap-based buffer overflow occurs in the function
LZWDecodeCompat in tif_lzw.c via a crafted TIFF file, as demonstrated by
tiff2ps.
Assigned-to
mdeslaur
Package
Source: tiff (LP Ubuntu Debian)
Upstream:released (4.0.9-6)
Ubuntu 12.04 ESM (Precise Pangolin):needed
Ubuntu 14.04 LTS (Trusty Tahr):released (4.0.3-7ubuntu0.10)
Ubuntu 16.04 LTS (Xenial Xerus):released (4.0.6-1ubuntu0.5)
Ubuntu 18.04 LTS (Bionic Beaver):released (4.0.9-5ubuntu0.1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (4.0.9-6)
Ubuntu 19.04 (Disco Dingo):not-affected (4.0.10-3)
Patches:
Upstream:https://gitlab.com/libtiff/libtiff/commit/58a898cb4459055bb488ca815c23b880c242a27d
More Information

Updated: 2019-01-22 15:14:26 UTC (commit 0916262c7eb1af6c7d60adbec8c61ec930321744)